# ReflectionEnumUnitCase::__construct

(PHP 8 >= 8.1.0)

ReflectionEnumUnitCase::__construct — Instantiates a ReflectionEnumUnitCase object

### Beschreibung

public ReflectionEnumUnitCase::__construct(object|string `$class`, string `$constant`)

### Parameter-Liste

`class`

  An enum instance or a name.

`constant`

  An enum constant name.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open